#include <wx/wx.h>
#include "DialogOptions.h"


int idBtnOptionsOK = ::wxNewId();
int idBtnOptionsDefault = ::wxNewId();
int idBtnOptionsCancel = ::wxNewId();

BEGIN_EVENT_TABLE(DialogOptions, wxDialog)
    EVT_BUTTON(idBtnOptionsOK, DialogOptions::OnClickOK)
    EVT_BUTTON(idBtnOptionsDefault, DialogOptions::OnClickDefault)

    EVT_CLOSE(DialogOptions::OnCloseWindow)
END_EVENT_TABLE()


// the constructor is partly built with wxDialog's constructor
DialogOptions::DialogOptions(wxWindow* parent, wxWindowID id, const wxString& title, const wxPoint& pos, wxString& regkApp)
: wxDialog(parent, id, title, pos, wxSize(240, 160))
, ptrRegkApp(regkApp) // initializes application rekgkey path value
{
    //* drawing of GUI

    this->txtctrlRegkApp = new wxTextCtrlLabelled(this, -1, "Application RegKey", regkApp, wxPoint(20,10), wxSize(200,20)); // displays application rekgkey path edit textcontrol

    this->btnOK = new wxButton(this, idBtnOptionsOK, "OK", wxPoint(10,100), wxSize(50,20)); // displays 'OK' button
    this->btnDefault = new wxButton(this, idBtnOptionsDefault, "Default", wxPoint(70,100), wxSize(50,20)); // displays 'Default' button
    this->btnCancel = new wxButton(this, idBtnOptionsCancel, "Cancel", wxPoint(130,100), wxSize(50,20)); // displays 'Cancel' button

    this->SetAffirmativeId(idBtnOptionsOK); // sets 'OK' button as affirmative button
    this->SetEscapeId(idBtnOptionsCancel); // sets 'Cancel' button as escape button
}


void DialogOptions::OnClickOK(wxCommandEvent& WXUNUSED(event))
{
    this->ptrRegkApp = this->txtctrlRegkApp->GetValue(); // retrieves application rekgkey path edit textcontrol value and stores it

    this->EndModal(wxID_OK); // ends the dialog with 'ok' as return code
}

void DialogOptions::OnClickDefault(wxCommandEvent& WXUNUSED(event))
{
    this->txtctrlRegkApp->SetValue(this->ptrRegkApp); // re-initializes application regkey path edit textcontrol value
}

void DialogOptions::OnCloseWindow(wxCloseEvent& WXUNUSED(event))
{
    this->EndModal(wxID_CANCEL); // ends the dialog with 'cancel' as return code
}
