#ifndef DIALOGOPTIONS_H
#define DIALOGOPTIONS_H

#include <wx/wx.h>
#include "wxTextCtrlLabelled.h"


//** class DialogOptions
//
// Dialog to edit options
//
// derived from: wxDialog

class DialogOptions : public wxDialog
{
    public:
        // constructor(parent, ID, title, position, application regkey path)
        DialogOptions(wxWindow* parent, wxWindowID id, const wxString& title, const wxPoint& pos, wxString& regkApp);

        void OnClickOK(wxCommandEvent& WXUNUSED(event)); // actions executed when 'OK' button is clicked
        void OnClickDefault(wxCommandEvent& WXUNUSED(event)); // actions executed when 'Default' button is clicked
        void OnCloseWindow(wxCloseEvent& WXUNUSED(event)); // actions executed when 'Close' box is clicked

    private:
        wxTextCtrlLabelled* txtctrlRegkApp; // textcontrol to edit application regkey path
        wxButton* btnOK; // 'OK' button
        wxButton* btnDefault; // 'Default' button
        wxButton* btnCancel; // 'Cancel' button

        wxString& ptrRegkApp; // application regkey path value (as string)


    DECLARE_EVENT_TABLE()
};

#endif // DIALOGOPTIONS_H
