#ifndef RESERVATIONEDITION_H
#define RESERVATIONEDITION_H

#include <wx/wx.h>
#include "wxTextCtrlLabelled.h"
#include "Reservation.h"


//** class ReservationEdition
//
// Dialog to edit DHCP reservation values
//
// derived from: wxDialog

class ReservationEdition : public wxDialog
{
    public:
        // constructor(parent, ID, title, position, MAC Address, IP Address)
        ReservationEdition(wxWindow* parent, wxWindowID id, const wxString& title, const wxPoint& pos, Reservation& reservation, const wxArrayString& macAddresses, const wxArrayString& ipAddresses);

        void OnClickOK(wxCommandEvent& WXUNUSED(event)); // actions executed when 'OK' button is clicked
        void OnClickDefault(wxCommandEvent& WXUNUSED(event)); // actions executed when 'Default' button is clicked
        void OnCloseWindow(wxCloseEvent& WXUNUSED(event)); // actions executed when 'Close' box is clicked

    private:
        void InitializeReservation();

        void SetReservation(Reservation& reservation);
        bool CheckReservation(const Reservation& reservation);

        wxTextCtrlLabelled* txtctrllblMACAddress;   // textcontrol to edit MAC Address
        wxTextCtrlLabelled* txtctrllblIPAddress;    // textcontrol to edit IP Address

        wxButton* btnOK;        // 'OK' button
        wxButton* btnDefault;   // 'Default' button
        wxButton* btnCancel;    // 'Cancel' button

        Reservation& editedReservation;
        wxArrayString macAddresses;
        wxArrayString ipAddresses;


    DECLARE_EVENT_TABLE()
};

#endif // RESERVATIONEDITION_H
