#ifndef WXTEXTCTRLLABELLED_H
#define WXTEXTCTRLLABELLED_H

#include <wx/wx.h>


//** class wxTextCtrlLabelled
//
// Graphic object which combines a textcontrol to edit a string value and a statictext to label the value
//
// derived from: wxTextCtrl, wxStaticText

class wxTextCtrlLabelled : public wxTextCtrl, public wxStaticText
{
    public:
        // constructor(parent, ID, static text label, textcontrol value, position, size, value style (see wxTextCtrl), value validator)
        wxTextCtrlLabelled(
            wxWindow* parent,
            wxWindowID id,
            const wxString& label,
            const wxString& value,
            const wxPoint& pos,
            const wxSize& size,
            long valueStyle = 0,
            const wxValidator& valueValidator = wxDefaultValidator)
        : wxTextCtrl(
            parent,
            id,
            value,
            pos + wxPoint(0,+13),
            size,
            valueStyle,
            valueValidator)
        , wxStaticText(
            parent,
            -1,
            label,
            pos)
        { }
};

#endif // WXTEXTCTRLLABELLED_H
